FsShell.Help (Apache Hadoop Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs, class: FsShell, class: Help

Package org.apache.hadoop.fs

# Class FsShell.Help

java.lang.Object
org.apache.hadoop.conf.Configured
org.apache.hadoop.fs.shell.Command
org.apache.hadoop.fs.shell.FsCommand
org.apache.hadoop.fs.FsShell.Help

All Implemented Interfaces:
  `Configurable`

Enclosing class:
  FsShell

protected class FsShell.Help extends FsCommand
Displays short usage of commands sans the long description

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DESCRIPTION`
  `static final String`
  `NAME`
  `static final String`
  `USAGE`

  ### Fields inherited from class org.apache.hadoop.fs.shell.Command

  `args, COMMAND_DESCRIPTION_FIELD, COMMAND_NAME_FIELD, COMMAND_USAGE_FIELD, err, exceptions, exitCode, name, numErrors, out, recursive`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `Help()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `processRawArguments(LinkedList<String> args)`
  Allows commands that don't use paths to handle the raw arguments.

  ### Methods inherited from class org.apache.hadoop.fs.shell.FsCommand

  `getCommandName, registerCommands, run, runAll`

  ### Methods inherited from class org.apache.hadoop.fs.shell.Command

  `displayError, displayError, displayWarning, exitCodeForError, expandArgument, expandArguments, getCommandFactory, getDepth, getDescription, getListingGroupSize, getName, getReplacementCommand, getUsage, isDeprecated, isPathRecursable, isRecursive, isSorted, postProcessPath, processArgument, processArguments, processNonexistentPath, processOptions, processPath, processPathArgument, processPaths, processPaths, recursePath, run, run, setCommandFactory, setName, setRecursive`

  ### Methods inherited from class org.apache.hadoop.conf.Configured

  `getConf, setConf`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    See Also:
      - Constant Field Values

  - ### USAGE

    public static final String USAGE
    See Also:
      - Constant Field Values

  - ### DESCRIPTION

    public static final String DESCRIPTION
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Help

    protected Help()

- ## Method Details

  - ### processRawArguments

    protected void processRawArguments(LinkedList<String> args)
    Description copied from class: `Command`
    Allows commands that don't use paths to handle the raw arguments. Default behavior is to expand the arguments via `Command.expandArguments(LinkedList)` and pass the resulting list to `Command.processArguments(LinkedList)`
    Overrides:
      `processRawArguments` in class `FsCommand`
    Parameters:
      `args` - the list of argument strings